{% extends 'base.html.twig' %}

{% block title %}Order n°{{order.id}}{% endblock %}
{% block content %}
{% if validUser %}
    <div style="margin: 30px 200px">
        <p id="history_number" class="text-center" style="margin-top: 50px">order number: {{order.id}}, {{order.date | date("Y-m-d")}} at {{order.date | date("H:i:s")}}</p>
            {% set productline = order.shoppingCart.productLines %}
            {% for a in productline %}
            <div id="history" style="background-image: url({{imageURI}}/{{a.product.image}})">  
                <div class="font_cart_product">
                <p class="cart_product">{{a.product.name}}</p>
                {% set priceUnity = a.price / a.quantity %}       
                <p class="cart_product">Price unity: {{priceUnity}}</p>
                <p class="cart_product">Quantity: {{a.quantity}}</p>
                <p class="cart_product">Price: {{a.price}}</p>
                </div>                 
            </div>
            {% endfor %}
            <div class="d-flex flex-column" style="margin: 45px 0 25px 0">
            <p class="ml-auto totalprice_cart">total price: {{totalprice}}</p>
            </div>
        </div>
        {% else %}
        <div class="d-flex" style="height: 70vh">
        <p id="no_access_message" class="m-auto">unauthorized access!</p>
        </div>
{% endif %}
{% endblock %}
